Issue #1321 new

Syntax error reported when installing CherryPY 3.3.0 with Python 3.2.3

lc3t35
created an issue
pip install cherrypy
Downloading/unpacking cherrypy
  Downloading CherryPy-3.3.0.tar.gz (429Kb): 429Kb downloaded
  Running setup.py egg_info for package cherrypy

Installing collected packages: cherrypy
  Running setup.py install for cherrypy
    changing mode of build/scripts-3.2/cherryd from 644 to 755
      File "/usr/local/lib/python3.2/dist-packages/cherrypy/test/test_config.py", line 209
        self.assertBody(repr(u'test'))
                                   ^
    SyntaxError: invalid syntax

    changing mode of /usr/local/bin/cherryd to 755
Successfully installed cherrypy
Cleaning up...

Comments (2)

  1. Joel Rivera

    CP3.3 is not mean to be compatible with python < 3.3. But I think that this change in compatibility is not very explicit, as far as I can tell it is just on the metatags on the pypi repository.

  2. Log in to comment